For the complete documentation index, see llms.txt. This page is also available as Markdown.

Void

How to void an authorization.

An authorization can be voided before it is captured if the payment is no longer needed.

Void Authorization

POST https://gateway-test.pagsmile.com/trade/void

This endpoint allows you to void an authorization.

Headers

Name
Type
Description

Content-Type*

string

application/json; chartset=UTF-8

Authorization*

string

Basic Base($app_id:$security_key)

Request Body

Name
Type
Description

app_id*

string

created app's id at dashboard

- Max. 32 chars -

timestamp*

string

yyyy-MM-dd HH🇲🇲ss - Max. 19 chars -

version

string

fixed value: 2.0

out_trade_no*

string

ID given by the merchant in their system - Max. 64 chars -

{
    "msg": "Success",
    "code": "10000"
}

Example

Note: 162************38 is pagsmile's test app id for sandbox, and MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ== is authorization token associated with the test app id.

Last updated